#' The 'bayesnec' package.
#'
#' @description A No-Effect-Concentration (NEC) estimation package that uses brms
#' (https://github.com/paul-buerkner/brms) to fit concentration
#' (dose)-response data using Bayesian methods for the purpose of estimating
#' both Effect Concentration (ECx) values, but more particularly NEC. Please see ?bnec
#' for more details.
#'
#' @docType package
#' @name bayesnec-package
#' @aliases bayesnec
#' @importFrom ggplot2 autoplot
#' @importFrom brms bernoulli Beta negbinomial
#'
#' @references
#' Bürkner P-C (2018) Advanced Bayesian Multilevel Modeling with the R Package
#' brms. The R Journal, 10: 395-411. doi:10.32614/RJ-2018-017.
#'
NULL
