% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.R
\name{print}
\alias{print}
\alias{print.bayesnecfit}
\alias{print.bayesmanecfit}
\title{Prints a summary for objects fitted by \code{\link{bnec}}}
\usage{
\method{print}{bayesnecfit}(x, ...)

\method{print}{bayesmanecfit}(x, ...)
}
\arguments{
\item{x}{An object of class \code{\link{bayesnecfit}} or
\code{\link{bayesmanecfit}}.}

\item{...}{Unused.}
}
\value{
A summary print of the fitted model as returned for a
\code{\link[brms]{brmsfit}} object.
}
\description{
Prints a summary for objects fitted by \code{\link{bnec}}.
\code{x} should be of class \code{\link{bayesnecfit}} or
\code{\link{bayesmanecfit}}.
}
\examples{
\donttest{
library(bayesnec)
print(manec_example)
nec4param <- pull_out(manec_example, "nec4param")
print(nec4param)
}
}
